UUIDD(8)

NOM
uuidd - Démon de génération d'UUID

SYNOPSIS
uuidd [options]

DESCRIPTION
Le démon uuidd est utilisé par la bibliothèque UUID pour générer des identifiants universels uniques (UUID), en particulier les UUID temporels de façon sécurisée et garantis unique, même en présence d'un grand nombre de processus légers s'exécutant sur différents processeurs en essayant de saisir les UUID.

OPTIONS

-d, --debug
    Exécuter uuidd en mode de débogage. Cela empêche uuidd de fonctionner comme un démon.

-F, --no-fork
    Ne pas transformer en démon en utilisant un double fork().

-k, --kill
    Si un démon uuidd est déjà en cours d’exécution, le tuer.

-n, --uuids nombre
    Lors de l’envoi d’une demande de test à un uuidd en cours d’exécution, demander une réponse groupée de nombre UUID.

-P, --no-pid
    Ne pas créer de fichier pid.

-p, --pid chemin
    Indiquer le nom de chemin où le fichier pid devra être écrit. Par défaut, le fichier pid est écrit dans /run/uuidd/uuidd.pid.

-q, --quiet
    Supprimer certains messages d'échec.

-r, --random
    Tester uuidd en essayant de se connecter à un démon uuidd en cours d'exécution et attendre en retour un UUID aléatoire.

-S, --socket-activation
    Ne pas créer de socket mais à la place attendre qu’elle soit fournie par le processus appelant. Cela implique --no-fork et --no-pid. Cette option n’est supposée être utilisée qu’avec systemd(1). Elle doit être activée avec une option de configuration.

-s, --socket chemin
    Forcer uuidd à utiliser ce chemin pour les sockets de domaine UNIX. Par défaut, le chemin est /run/uuidd/request. C'est avant tout une option de débogage puisque le chemin est défini en dur dans la bibliothèque libuuid.

-T, --timeout délai
    Forcer uuidd à quitter après délai secondes d'inactivité.

-t, --time
    Tester uuidd en essayant de se connecter à un démon uuidd en cours d'exécution et attendre en retour un UUID temporel.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un écran d'aide puis quitter.

EXEMPLE
Démarrer un démon, afficher 42 clefs aléatoires puis arrêter le démon :

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTEUR
Le démon uuidd a été écrit par Theodore Ts'o <tytso@mit.edu>.

VOIR AUSSI
uuid(3), uuidgen(1)

DISPONIBILITÉ
Le démon uuidd fait partie du paquet util-linux, il est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.